use crate::dom::element::Element;
use crate::dom::head::Head;
use crate::into;

pub struct Document {
    lang: String,
    pub head: Head,
    pub body: Element,
}

impl Document {
    pub fn new<S: Into<String>>(lang: S) -> Self {
        Document {
            lang: lang.into(),
            head: Head::default(),
            body: Element::new("body"),
        }
    }
}

impl Into<Element> for Document {
    fn into(self) -> Element {
        let mut r = Element::new("html");
        r.set_pre_text("<!DOCTYPE html>");
        r.set_attribute("lang", self.lang);
        r.append_child(into!(Element, self.head))
            .append_child(self.body);
        r
    }
}
